Set a customer-level Yardi license key
PUT
https://api.propexo.com/v1/admin/license-keys/yardiSet the customer-level Yardi license key shared across Yardi integrations that do not have their own license key.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
license_keystringrequired
The customer-level Yardi license key shared across Yardi integrations that do not have their own license key.
Possible values: non-empty
expires_atstringrequired
The date the license key expires, in YYYY-MM-DD format. Must be today or later (UTC).
Possible values: non-empty
Response
Successful response
results objectrequired
systemstringrequired
The environment stored with this customer-level license key.
Show 2 enum values
PRODUCTIONSANDBOXexpires_atstringrequired
The expiration date of the license key, in YYYY-MM-DD format.
license_key_maskedstringrequired
The license key with all but the last four characters masked.
statusstringrequired
Whether the saved license key is valid, expiring soon, expired, or not set.
Show 4 enum values
VALIDEXPIRING_SOONEXPIREDNOT_SETErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/admin/license-keys/yardi
- cURL
- Node.js
- Python
curl -X PUT https://api.propexo.com/v1/admin/license-keys/yardi \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"license_key": "string",
"expires_at": "string"
}'
const response = await fetch("https://api.propexo.com/v1/admin/license-keys/yardi", {
method: "PUT",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"license_key": "string",
"expires_at": "string"
}),
});
const data = await response.json();
import requests
response = requests.put(
"https://api.propexo.com/v1/admin/license-keys/yardi",
headers={"Authorization": "Bearer <token>"},
json={
"license_key": "string",
"expires_at": "string"
},
)
data = response.json()
200 Successful response
{
"results": {
"system": "PRODUCTION",
"expires_at": "string",
"license_key_masked": "string",
"status": "VALID"
}
}